> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/arc/overview.md).

# Overview

Arc is a Layer 1 blockchain built for stablecoin finance. It is EVM-compatible and designed to support high-throughput, low-latency transaction processing for moving value seamlessly across systems.

Developer docs: <https://docs.arc.io/arc-chain>

Block explorer: <https://testnet.arcscan.app>

### Network Support

| Network     | Full History / Archive | HTTPS | WSS |
| ----------- | ---------------------- | ----- | --- |
| Arc Testnet | ✅                      | ✅     | ✅   |

> WebSocket clients **MUST** respond to server `ping` frames, otherwise the connection will be closed and re-established every minute.

## Methods & Compute Units

<table data-header-hidden><thead><tr><th></th><th width="100"></th></tr></thead><tbody><tr><td>debug_traceBlockByHash</td><td>80</td></tr><tr><td>debug_traceBlockByNumber</td><td>80</td></tr><tr><td>debug_traceCall</td><td>80</td></tr><tr><td>debug_traceTransaction</td><td>80</td></tr><tr><td>eth_blockNumber</td><td>20</td></tr><tr><td>eth_call</td><td>40</td></tr><tr><td>eth_chainId</td><td>10</td></tr><tr><td>eth_estimateGas</td><td>40</td></tr><tr><td>eth_feeHistory</td><td>20</td></tr><tr><td>eth_gasPrice</td><td>40</td></tr><tr><td>eth_getBalance</td><td>40</td></tr><tr><td>eth_getBlockByHash</td><td>40</td></tr><tr><td>eth_getBlockByNumber</td><td>40</td></tr><tr><td>eth_getBlockReceipts</td><td>40</td></tr><tr><td>eth_getBlockTransactionCountByHash</td><td>40</td></tr><tr><td>eth_getBlockTransactionCountByNumber</td><td>40</td></tr><tr><td>eth_getCode</td><td>40</td></tr><tr><td>eth_getFilterChanges</td><td>40</td></tr><tr><td>eth_getFilterLogs</td><td>40</td></tr><tr><td>eth_getLogs</td><td>80</td></tr><tr><td>eth_getProof</td><td>40</td></tr><tr><td>eth_getStorageAt</td><td>40</td></tr><tr><td>eth_getTransactionByBlockHashAndIndex</td><td>40</td></tr><tr><td>eth_getTransactionByBlockNumberAndIndex</td><td>40</td></tr><tr><td>eth_getTransactionByHash</td><td>40</td></tr><tr><td>eth_getTransactionCount</td><td>40</td></tr><tr><td>eth_getTransactionReceipt</td><td>40</td></tr><tr><td>eth_getUncleCountByBlockHash</td><td>40</td></tr><tr><td>eth_getUncleCountByBlockNumber</td><td>40</td></tr><tr><td>eth_newBlockFilter</td><td>40</td></tr><tr><td>eth_newFilter</td><td>40</td></tr><tr><td>eth_newPendingTransactionsFilter</td><td>40</td></tr><tr><td>eth_sendRawTransaction</td><td>80</td></tr><tr><td>eth_subscribe</td><td>20</td></tr><tr><td>eth_syncing</td><td>10</td></tr><tr><td>eth_uninstallFilter</td><td>20</td></tr><tr><td>eth_unsubscribe</td><td>20</td></tr><tr><td>net_listening</td><td>10</td></tr><tr><td>net_peerCount</td><td>20</td></tr><tr><td>net_version</td><td>10</td></tr><tr><td>trace_block</td><td>80</td></tr><tr><td>trace_call</td><td>80</td></tr><tr><td>trace_filter</td><td>80</td></tr><tr><td>trace_replayBlockTransactions</td><td>270</td></tr><tr><td>trace_replayTransaction</td><td>270</td></tr><tr><td>trace_transaction</td><td>80</td></tr><tr><td>web3_clientVersion</td><td>40</td></tr><tr><td>web3_sha3</td><td>40</td></tr></tbody></table>

### Endpoint Capabilities

Arc endpoints support both HTTP and WebSocket connectivity for production-grade applications.

#### HTTP

Best suited for:

* backend services and APIs
* blockchain data queries
* smart contract deployment and interaction
* development and testing workflows

#### WebSocket

Best suited for:

* real-time transaction monitoring
* event subscriptions
* live dashboards and analytics
* applications that require low-latency data delivery

### Getting Started

To start building on Arc, connect your application to an Arc endpoint and send standard Ethereum JSON-RPC requests.

Example request:

{% tabs %}
{% tab title="testnet" %}

```bash
curl https://testnet.arc.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_blockNumber","params":[],"id":0}'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/arc/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
